##### basic_socket_acceptor::operator= (2 of 2 overloads)

Move-assign a `basic_socket_acceptor` from an acceptor of another protocol type.

    template<
        typename Protocol1,
        typename Executor1>
    constraint_t< is_convertible< Protocol1, Protocol >::value &&is_convertible< Executor1, Executor >::value, basic_socket_acceptor & > operator=(
        basic_socket_acceptor< Protocol1, Executor1 > && other);

This assignment operator moves an acceptor from one object to another.

###### Parameters

other

  The other `basic_socket_acceptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_socket_acceptor(const executor_type&)` constructor.